#include <stdio.h>
#include <string.h>


void pascal expand(char *Str) {
  char *p;

  if ((p = strchr(Str,'\n')) == NULL)
    return;

  Str += 62;
  while (p < Str)
    *p++ = ' ';
  *p++ = '\n';
  *p = 0;
}


void main(int argc, char **argv) {
  char Str[80];
  FILE *In;
  FILE *Out;

  if (argc < 2) {
    puts("This program fixes a CALLERS log that has been run through a regular\n"
         "text editor by expanding the cr/lf delimited lines to the full 64 byte\n"
         "length that is expected by PCBoard.\n\n"
         "Run it by typing:   FIXLOG <filename>\n\n"
         "     where <filename> is the name of the file to fix.\n\n");
    return;
  }

  if ((In = fopen(argv[1],"rt")) == NULL) {
    puts("unable to open input file");
    return;
  }

  if ((Out = fopen("fix$$$$$.$$$","wt")) == NULL) {
    puts("unable to open output file");
    return;
  }

  while (fgets(Str,sizeof(Str),In) != NULL) {
    expand(Str);
    fputs(Str,Out);
  }

  fclose(In);
  fclose(Out);
  unlink(argv[1]);
  rename("fix$$$$$.$$$",argv[1]);
}
